//=======================================================================
// Author: Donovan Parks
//
// Copyright 2009 Donovan Parks
//
// This file is part of GenGIS.
//
// GenGIS is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GenGIS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GenGIS.  If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#include "../core/Precompiled.hpp"

#include "../core/LayoutObjectProperties.hpp"

#include "../core/App.hpp"

using namespace GenGIS;

float LayoutObjectProperties::GetObjectLineThickness(bool bCorrected) const 
{ 
	if(bCorrected)
		return m_objectLineThickness * App::Inst().GetResolutionFactor(); 

	return m_objectLineThickness;
}

float LayoutObjectProperties::GetLayoutLineThickness(bool bCorrected) const 
{ 
	if(bCorrected)
		return m_layoutLineThickness * App::Inst().GetResolutionFactor(); 

	return m_layoutLineThickness;
}


float LayoutObjectProperties::GetControlPointSize(bool bCorrected) const 
{ 
	if(bCorrected)
		return m_controlPointSize * App::Inst().GetResolutionFactor(); 

	return m_controlPointSize;
}