//=======================================================================
// Author: Donovan Parks
//
// Copyright 2009 Donovan Parks
//
// This file is part of GenGIS.
//
// GenGIS is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GenGIS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GenGIS.  If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#ifndef _GENGIS_LIGHTING_
#define _GENGIS_LIGHTING_

#include "../core/Precompiled.hpp"

namespace GenGIS
{

class Lighting 
{
public:
	/** Convenient syntax for creating smart pointers of this class. */
	typedef boost::shared_ptr<Lighting> Ptr;

public:
    Lighting( GLfloat* position );
    ~Lighting();
    void setupLighting();
    void setPosition( GLfloat* position );

		GLfloat getPositionX() { return m_lightPos[0]; }
		GLfloat getPositionY() { return m_lightPos[1]; }
		GLfloat getPositionZ() { return m_lightPos[2]; }

		void setGlobalAmbient(GLfloat level);
		GLfloat getGlobalAmbient() { return m_globalAmbient[0]; }

		GLfloat getAltitude() { return m_lightPos[1]; }
		void setAltitude(GLfloat altitude) { m_lightPos[1] = altitude; }

private:
    GLfloat m_lightPos[4];
		GLfloat m_globalAmbient[4];
};

}

#endif

