//=======================================================================
// Author: Donovan Parks
//
// Copyright 2010 Donovan Parks
//
// This file is part of GenGIS.
//
// GenGIS is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GenGIS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GenGIS.  If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#ifndef _GENGIS_PIE_CHART_VIEW_
#define _GENGIS_PIE_CHART_VIEW_

#include "../core/Precompiled.hpp"

#include "../utils/Point3D.hpp"
#include "../core/View.hpp"
#include "../core/ChartView.hpp"

namespace GenGIS
{

/**
 * @class PieChartView
 * @brief Pie chart.
 */
class PieChartView : public View
{

public:
	/** Render chart. */
	static void Render(const ChartProp& chartProp);

	/** Perform additional rendering so object appears selected. */
	static void RenderSelect(const ChartProp& chartProp);

	/** Check if current position of mouse overlays with chart. */
	static bool IsClicked(const Point2D& mousePt, const Point3D& centrePt, float size);
};

}

#endif