//=======================================================================
// Author: Donovan Parks
//
// Copyright 2009 Donovan Parks
//
// This file is part of GenGIS.
//
// GenGIS is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GenGIS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GenGIS.  If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#ifndef _GENGIS_TEXTURE_
#define _GENGIS_TEXTURE_

#include "../core/Precompiled.hpp"

namespace GenGIS
{

class Texture 
{    
public:  
  Texture( GLubyte* data, int width, int height, int scaledWidth = 1024, int scaledHeight = 1024,
      bool genMipMaps = false, int channelMode = GL_RGBA );
  ~Texture();
  
  void setChannelMode( int channelMode );
  
  void init();
  
  unsigned int getName() { return m_name; }

private:
  int m_width;
  int m_height;

  int m_scaledWidth;
  int m_scaledHeight;

  GLubyte* m_data;
  GLubyte* m_scaledData;

  GLuint m_name;

  int m_channelMode;
  int m_numChannels;

  bool m_genMipMaps;
};

}

#endif
